StreamInput
Client-streaming RPC. Client input stream ensures ordering of messages. Use the Connect protocol with streaming support.
Authorizations
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Headers
Define the version of the Connect protocol
Define the timeout, in ms
Identifier of the target sandbox. Routes the request to that sandbox's envd over the shared sandbox host.
Port envd listens on inside the sandbox (default 49983).
Body
- StreamInputRequest
- StreamInputRequest
- StreamInputRequest
Response
Stream of StreamInputResponse events
The response is of type StreamInputResponse · object.